> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paywithatoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Payment Method

> Delete payment method via the Atoa Payment Methods API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.

Remove a saved payment method. The card can no longer be used for payments.

### Authorization

Bearer `<accessSecret>`

**Path Parameters**

**customerId** `string` *required*

The customer UUID who owns the card.

**cardId** `string` *required*

The card identifier to delete.

```bash curl theme={null}
curl --request DELETE \
  --url https://api.atoa.me/api/customers/{customerId}/cards/{cardId} \
  --header 'Authorization: Bearer <token>'
```

```python Python theme={null}
import requests

url = "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}"
headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)
print(response.json())
```

```javascript JavaScript theme={null}
const response = await fetch(
  "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}",
  {
    method: "DELETE",
    headers: { Authorization: "Bearer <token>" },
  }
);

const data = await response.json();
console.log(data);
```

```php PHP theme={null}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
curl_close($curl);
echo $response;
```

```go Go theme={null}
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.atoa.me/api/customers/{customerId}/cards/{cardId}"

  req, _ := http.NewRequest("DELETE", url, nil)
  req.Header.Add("Authorization", "Bearer <token>")

  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)
  fmt.Println(string(body))
}
```

```java Java theme={null}
HttpResponse<String> response = Unirest.delete("https://api.atoa.me/api/customers/{customerId}/cards/{cardId}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```json 200 theme={null}
{
  "success": true,
  "message": "Card deleted successfully"
}
```

```json 404 theme={null}
{
  "name": "NOT_FOUND",
  "message": "Card not found",
  "status": 404,
  "errors": []
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.